Xerces-C++: XMLChar1_1 Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLChar1_1 Class Reference

List of all members.

## Static Public Member Functions
static bool | isAllSpaces (const XMLCh *const toCheck, const XMLSize_t count)
static bool | containsWhiteSpace (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidNmtoken (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck)
static bool | isValidNCName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidQName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isXMLLetter (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPlainContentChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isSpecialStartTagChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isXMLChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isWhitespace (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isControlChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPublicIdChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
## Friends
class | XMLReader

## Member Function Documentation

static bool XMLChar1_1::isAllSpaces | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

static bool XMLChar1_1::containsWhiteSpace | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

static bool XMLChar1_1::isValidNmtoken | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

static bool XMLChar1_1::isValidName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

static bool XMLChar1_1::isValidName | ( | const XMLCh *const | toCheck | ) | `[static]`

static bool XMLChar1_1::isValidNCName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

static bool XMLChar1_1::isValidQName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count |
| ) |  |  | `[static]`

bool XMLChar1_1::isXMLLetter | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

XML 1.1 does not define a letter, so we use the 1.0 definition

bool XMLChar1_1::isFirstNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isPlainContentChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isSpecialStartTagChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isXMLChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isWhitespace | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isControlChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

static bool XMLChar1_1::isPublicIdChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isFirstNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

bool XMLChar1_1::isNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0` |
| ) |  |  | `[static]`

## Friends And Related Function Documentation

friend class XMLReader`[friend]`

The documentation for this class was generated from the following file:

- XMLChar.hpp